Installing Sonarr Ubuntu via command line for tv series

In this manual Sonarr install Ubuntu. We’re going to install Sonarr on a Computer with Ubuntu. We do this via the command-line. Once we have established a connection, via the command line. Then let’s do the following.

First we need to Update the installed software.

sudo apt-get update && sudo apt-get upgrade -y

To be sure. That you get the latest version of Sonarr.

sudo apt-key adv –keyserver hkp://keyserver.ubuntu.com:80 –recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF
echo “Deb Http://download.mono-project.com/repo/debian wheezy main” | sudo tee/etc/apt/sources.list.d/mono-xamarin.list

Installation possibility o https to allow installations.

sudo apt-get install apt-transport-https-y

Add the installation source for Sonarr.

sudo apt-key adv–keyserver keyserver.ubuntu.com–recv-Keys FDA5DFFC
echo “deb https://apt.sonarr.tv/ master main” | sudo tee -a/etc/apt/sources.list.d/sonarr.list

Now we’re going to install Sonarr.

sudo apt-get update
sudo apt-get install nzbdrone -y

Now put the rights to sonarr’s folder right.

sudo chown -R /Opt/NzbDrone

You are now done installing Sonarr on Ubuntu.

Sonarr auto-start during Ubuntu startup

We’re going to create a script now. So so so so that Sonarr starts automatically. During the startup of Ubuntu.

sudo nano /etc/init.d/nzbdrone

Paste the following script here. And change only the users name.

APP_PATH=/opt/NzbDrone

# User ID
RUN_AS=your user name

# Path to Mono bin
DAEMON=$(which mono)

# Location to save PID file.
PID_FILE=/var/run/nzbdrone/nzbdrone.pid
PID_PATH=$(dirname $PID_FILE)

# script name
NAME=nzbdrone

# app name
DESC=NzbDrone

# start-ups args
EXENAME=”NzbDrone.exe”
DAEMON_OPTS=” “$EXENAME

################end edit me ##################

NZBDRONE_PID=`ps auxf | grep NzbDrone.exe | grep -v grep | awk ‘{print $2}’`

test -x $DAEMON || exit 0

set -e

#Look for PID and create if doesn’t exist
if [ ! -d $PID_PATH ]; then
mkdir -p $PID_PATH
chown $RUN_AS $PID_PATH
fi

if [ ! -d $DATA_DIR ]; then
mkdir -p $DATA_DIR
chown $RUN_AS $DATA_DIR
fi

if [ -e $PID_FILE ]; then
PID=`cat $PID_FILE`
if ! kill -0 $PID > /dev/null 2>&1; then
echo “Removing stale $PID_FILE”
rm $PID_FILE
fi
fi

echo $NZBDRONE_PID > $PID_FILE

case “$1” in
start)
if [ -z “${NZBDRONE_PID}” ]; then
echo “Starting $DESC”
rm -rf $PID_PATH || return 1
install -d –mode=0755 -o $RUN_AS $PID_PATH || return 1
start-stop-daemon -d $APP_PATH -c $RUN_AS –start –background –pidfile $PID_FILE –exec $DAEMON — $DAEMON_OPTS
else
echo “NzbDrone already running.”
fi
;;
stop)
echo “Stopping $DESC”
echo $NZBDRONE_PID > $PID_FILE
start-stop-daemon –stop –pidfile $PID_FILE –retry 15
;;

restart|force-reload)
echo “Restarting $DESC”
start-stop-daemon –stop –pidfile $PID_FILE –retry 15
start-stop-daemon -d $APP_PATH -c $RUN_AS –start –background –pidfile $PID_FILE –exec $DAEMON — $DAEMON_OPTS
;;
status)
# Use LSB function library if it exists
if [ -f /lib/lsb/init-functions ]; then
. /lib/lsb/init-functions
if [ -e $PID_FILE ]; then
status_of_proc -p $PID_FILE “$DAEMON” “$NAME” && exit 0 || exit $?
else
log_daemon_msg “$NAME is not running”
exit 3
fi

else
# Use Basic Functions
if [ -e $PID_FILE ]; then
PID=`cat $PID_FILE`
if kill -0 $PID > /dev/null 2>&1; then
echo ” * $NAME is running”
exit 0
fi
else
echo ” * $NAME is not running”
exit 3
fi
fi
;;
*)
N=/etc/init.d/$NAME
echo “Usage: $N {start|stop|restart|force-reload|status}” >&2
exit 1
;;
esac

exit 0

Save this script file. You do this by pressing ctrl+x. Then pressy. And then press Enter.

Now give the script export rights.

sudo chmod +x /etc/init.d/nzbdrone

Take a script with you during startup.

sudo update-rc.d nzbdrone defaults

You are now done installing the boot script.

You can test it with the following command.

sudo reboot

Your computer will now restart.

Sonarr Ubuntu manual

  1. Sonarr tutorial.
  2. Install Sonarr Ubuntu via the command line.
  3. Configure Sonarr with NZBGet.

Be the first to comment

Laat een reactie achter